Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- eclipse.sites
- eclipse.sites.SiteRenderer
- eclipse.sites.SiteTreeModel
- exports.GitCommitExplorer-GitCommitExplorer
- exports.GitRepositoryExplorer-GitRepositoryExplorer
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.commands.Command
- orion.commands.CommandService
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareOverviewRuler
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.console.Console
- orion.console.ConsoleInput
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.dialogs.DialogService
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.Editor
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.util
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.file.ContentType
- orion.file.ContentTypeService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitClonesExplorer
- orion.git.GitClonesModel
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.siteService.SiteConfiguration
- orion.siteService.SiteService
- orion.status.StatusReportingService
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.LoadEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.UnloadEvent
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- orion.widgets.OpenResourceDialog
- orion.widgets.SiteEditor
- String

# Class orion.editor.ContentAssist

A key mode for orion.editor.Editor that displays content assist suggestions.
Defined in: </shared/eclipse/e4/orion/I201202282230/plugins/org.eclipse.orion.client.editor/web/orion/editor/contentAssist.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.editor.ContentAssist(editor, contentAssistId) Creates a `ContentAssist`.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| accept() Accepts the currently selected proposal, if any.
| addEventListener(type, listener, useCapture) Adds an event listener to this event target.
| dispatchEvent(evt) Dispatches the given event to the listeners added to this event target.
| getKeywords(prefix, buffer, selection)
| getSelectedNode()
| getSelectedProposal()
| removeEventListener(type, listener, useCapture) Removes an event listener from the event target.
| setProviders(providers) Sets the content assist providers that we will consult to obtain proposals.
| showContentAssist(enable, event)

Class Detail
orion.editor.ContentAssist(editor, contentAssistId)
Creates a `ContentAssist`. A ContentAssist displays suggestions from registered content assist providers to the user. Content assist providers are registered by calling #setProviders.

A ContentAssist emits events, for which listeners may be registered using #addEventListener. Supported event types are:

`show`
  Dispatched when this ContentAssist is activated.
`hide`
  Dispatched when this ContentAssist is dismissed.
`accept`
  Dispatched when a proposal has been accepted by the user. The event's `data` field contains information about the accepted proposal.

Parameters:
{orion.editor.Editor} editor
  The Editor to provide content assist for.
{String|DomNode} contentAssistId
  The ID or DOMNode to use as the parent for content assist.

Method Detail
{Boolean} accept()
Accepts the currently selected proposal, if any.

Returns:
  {Boolean} `true` if a proposal could be accepted; `false` if none was selected or available.

addEventListener(type, listener, useCapture)
Adds an event listener to this event target.
Defined in: </shared/eclipse/e4/orion/I201202282230/plugins/org.eclipse.orion.client.editor/web/orion/textview/eventTarget.js>.

Parameters:
{String} type
  The event type.
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #removeEventListener

dispatchEvent(evt)
Dispatches the given event to the listeners added to this event target.
Defined in: </shared/eclipse/e4/orion/I201202282230/plugins/org.eclipse.orion.client.editor/web/orion/textview/eventTarget.js>.

Parameters:
{Event} evt
  The event to dispatch.

{Object} getKeywords(prefix, buffer, selection)

Parameters:
{String} prefix
  A prefix against which content assist proposals should be evaluated.
{String} buffer
  The entire buffer being edited.
{orion.textview.Selection} selection
  The current selection from the Editor.

Returns:
  {Object} A promise that will provide the keywords.

{DOMNode} getSelectedNode()

Returns:
  {DOMNode} The DOM node of the currently selected proposal.

{Object} getSelectedProposal()

Returns:
  {Object} The currently selected proposal.

removeEventListener(type, listener, useCapture)
Removes an event listener from the event target.

All the parameters must be the same ones used to add the listener.

Defined in: </shared/eclipse/e4/orion/I201202282230/plugins/org.eclipse.orion.client.editor/web/orion/textview/eventTarget.js>.

Parameters:
{String} type
  The event type
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #addEventListener

setProviders(providers)
Sets the content assist providers that we will consult to obtain proposals.

Parameters:
{Object[]} providers
  The providers. See orion.contentAssist.CssContentAssistProvider for an example.

showContentAssist(enable, event)

Parameters:
{Boolean} enable
{orion.textview.ModelChangedEvent} event Optional

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Feb 28 2012 22:34:47 GMT-0500 (EST)